SDL_GPUBufferLocation Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUBuffer * | buffer
Uint32 | offset

## Detailed Description

A structure specifying a location in a buffer.

Used when copying data between buffers.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_CopyGPUBufferToBuffer

Definition at line 1412 of file SDL_gpu.h.

## Field Documentation

## buffer

SDL_GPUBuffer* SDL_GPUBufferLocation::buffer

The buffer.

Definition at line 1414 of file SDL_gpu.h.

## offset

Uint32 SDL_GPUBufferLocation::offset

The starting byte within the buffer.

Definition at line 1415 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h